	SUBROUTINE SYS_SIGNAL (STATUS)
	INTEGER*4 STATUS
C*********************************************************************
C***
C***	This routine will take the status longword returned by a VMS
C***	system service, or runtime library routine and report to the
C***	SYS$OUTPUT device the error status. Since LIB$SIGNAL will
C***	stop the image if the severity is fatal, this routine will
C***    mask off the severity bit (bit 2) changing the error to a 
C***	warning.
C***
C***	PARAMETER :
C***		STATUS	(I*4) VMS STATUS LONGWORD
C***
C*********************************************************************
C*MCT
	INTEGER*4 LOCAL_STATUS
C
C***	ONLY PROCESS IF THERE IS AN ERROR
	IF (.NOT. STATUS) THEN
	    LOCAL_STATUS = STATUS
	    IF (BJTEST(LOCAL_STATUS,2)) LOCAL_STATUS = LOCAL_STATUS - 4
	    CALL LIB$SIGNAL (%VAL(LOCAL_STATUS))
	ELSE
	ENDIF
C
	RETURN
	END
